# Check an external Agent Card
Source: https://docs.simpleserve.ai/docs/api-reference/publisher-agents/post-publisher-agent-connections-check

Method: POST /v1/publisher/agent-connections/check
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/publisher/agent-connections/check",
  "method": "POST",
  "tags": [
    "Publisher Agents"
  ],
  "operationId": "checkPublisherAgentConnection",
  "summary": "Check an external Agent Card",
  "parameters": [],
  "responses": {
    "200": {
      "description": "The operation completed.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ExternalConnection"
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/PublisherForbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "409": {
      "$ref": "#/components/responses/RevisionConflict"
    },
    "422": {
      "$ref": "#/components/responses/DraftInvalid"
    },
    "502": {
      "description": "The agent could not be reached.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorEnvelope"
          }
        }
      }
    }
  },
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ExternalConnectionRequest"
        }
      }
    }
  }
}
```